import request, { postBlob, getBlob, handleImport } from '@/utils/request'

// 获取列表
export function listPageV2(data) {
  return request({
    url: `/jx/goods/list/pageCode?moduleId=${data.moduleId}`,
    method: 'post',
    data
  })
}

//导出
export function pageExport(data, name) {
  return postBlob({
    url: '/jx/goods/list/pageCodeExport',
    data,
    name
  })
}

export function listImport(data) {
	return handleImport('/jx/goods/importCode', data.formdata, data.id || '')
}